%define major		17
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

%define build_opensync	1

Name: 	 	barry
Summary: 	Linux interface to RIM BlackBerry devices
Version: 	0.17.1
Release: 	%mkrel 1
Source0:	http://ovh.dl.sourceforge.net/sourceforge/barry/%{name}-%{version}.tar.bz2
# (austin) I made this icon (photo) myself.  I hope it's legal.
Source1:	bb128.png
URL:		http://www.netdirect.ca/software/packages/barry/
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imagemagick
BuildRequires:	libusb-devel
BuildRequires:	boost-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:  gettext-devel
BuildRequires:	libxml++-devel
%if %build_opensync
BuildRequires:	libopensync-devel
%endif
BuildRequires:	libtar-devel
BuildRequires:	fuse-devel

%description
Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.

It comes with a command line tool for exploring the device and a GUI for
making quick backups and udev rules which allow the device to be charged
via a USB port.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Requires:	%{name}-common >= %{version}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n 	%{libnamedev}
Summary: 	Header files and static libraries from %{name}
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel

%description -n %{libnamedev}
Libraries and includes files for developing programs based on %{name}.

%package tools
Summary:	BlackBerry(tm) Tools
Group:		Communications

%description tools
Barry is a desktop toolset for managing your BlackBerry(tm) device.
(BlackBerry is a registered trademark of Research in Motion Limited.)

This package contains the commandline tools btool, breset and others.

%package common
Summary:	BlackBerry(tm) common files
Group:		Communications

%description common
Common files used by Barry.

%package charge
Summary:	BlackBerry(tm) Charging Scripts
Group:		Communications

%description charge
This package installs special handshake and udev scripts which allow
a BlackBerry device to be charged via USB at 500mA.

%package gui
Summary:	BlackBerry(tm) Backup Tool
Group:		Communications

%description gui
This package contains a graphical applications to backup and restore data
from a BlackBerry device.

%if %build_opensync
%package opensync
Summary:	BlackBerry(tm) opensync plugin
Group:		Communications

%description opensync
Barry is a desktop toolset for managing your BlackBerry(tm) device.
(BlackBerry is a registered trademark of Research in Motion Limited.)

This package contains the opensync plugin to synchronize a BlackBerry with
other devices and applications.
%endif

%package ppp
Summary:	BlackBerry(tm) PPP support utility and example scripts
Group:		Communications

%description ppp
This package contains a utility which enables the use of BlackBerry
devices as cellular data modems, and also contains example PPP scripts
for this purpose.

%prep
%setup -q

%build
%configure2_5x --enable-gui \
	--enable-boost \
%if %{build_opensync}
	--enable-opensync-plugin
%else
	--disable-opensync-plugin
%endif
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
cp udev/{10,69}-blackberry.rules %{buildroot}%{_sysconfdir}/udev/rules.d/

mkdir -p %{buildroot}%{_sysconfdir}/ppp/peers
for i in o2ireland rogers sprint tmobileus verizon; do \
	install -m 0644 ppp/barry-$i %{buildroot}%{_sysconfdir}/ppp/peers/barry-$i; \
	install -m 0644 ppp/barry-$i.chat %{buildroot}%{_sysconfdir}/ppp/chat-barry-$i; \
done
# I know this is ugly, but I don't know how to use $i within a sed
# command. If you do, just do the obvious to do this all in one sed
# command in the loop above - AdamW 2008/09
sed -i -e 's,chatscripts/barry-,ppp/chat-barry-,g' %{buildroot}%{_sysconfdir}/ppp/peers/barry-*
sed -i -e 's,\.chat,,g' %{buildroot}%{_sysconfdir}/ppp/peers/barry-*

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Barry Backup
Comment=Backup for BlackBerry devices
Exec=%{_bindir}/%{name}backup
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Utility;Office;PDA;
EOF

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 16 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 64 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}/%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%find_lang %name-backup
%find_lang %name

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif
		
%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%files tools -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_sbindir}/breset
%{_bindir}/btool
%{_bindir}/brecsum
%{_bindir}/upldif
%{_bindir}/bktrans
%{_bindir}/btranslate
%{_bindir}/bidentify
%{_bindir}/bfuse
%{_bindir}/bdptest
%{_bindir}/bjavaloader
%{_bindir}/bjdwp
%{_bindir}/brimtrans
%{_bindir}/bs11nread
%{_bindir}/bjvmdebug
%{_bindir}/balxparse
%{_bindir}/bio
%{_bindir}/brawchannel
%{_bindir}/btardump
%{_mandir}/man1/btool*
%{_mandir}/man1/bidentify*
%{_mandir}/man1/bs11nread*
%{_mandir}/man1/brecsum*
%{_mandir}/man1/breset*
%{_mandir}/man1/upldif*
%{_mandir}/man1/bfuse*
%{_mandir}/man1/bjavaloader*
%{_mandir}/man1/bjdwp*
%{_mandir}/man1/balxparse*
%{_mandir}/man1/bio*
%{_mandir}/man1/brawchannel*
%{_mandir}/man1/btardump*

%files charge
%defattr(-,root,root)
%{_sbindir}/bcharge
%{_sysconfdir}/udev/rules.d/10-blackberry.rules
%{_mandir}/man1/bcharge*

%files gui -f %name-backup.lang
%defattr(-,root,root)
%doc gui/AUTHORS gui/ChangeLog gui/README gui/NEWS gui/TODO
%{_bindir}/barrybackup
%{_datadir}/barry/glade/*.glade
%{_datadir}/applications/*
%{_mandir}/man1/barrybackup*
%{_iconsdir}/*

%if %{build_opensync}
%files opensync
%defattr(-,root,root)
%{_libdir}/opensync/plugins/*
%{_datadir}/opensync/defaults/*
%endif

%files ppp
%defattr(-,root,root)
%doc ppp/README
%{_sbindir}/pppob
%{_mandir}/man1/pppob*
%{_sysconfdir}/ppp/chat-*
%{_sysconfdir}/ppp/peers/barry-*

%files common
%defattr(-,root,root)
%{_sysconfdir}/udev/rules.d/69-blackberry.rules


%changelog
* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 0.17.1-1mdv2011.0
+ Revision: 644495
- BR xml++
- new version 0.17.1
- rebuild for new boost

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.16-4mdv2011.0
+ Revision: 572151
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.16-3mdv2011.0
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.16-2mdv2010.1
+ Revision: 500326
- rebuild for new boost

* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.16-1mdv2010.1
+ Revision: 497649
- Fix build
- Release 0.16 final
- Remove patches 0 (not applicable), 1 (merged upstream)
- Patch0 (GIT): fix build
- Patch1 (GIT): add udev acl rules (Mdv bug #56664)
- add common subpackage containing udev acl rules

  + Götz Waschk <waschk@mandriva.org>
    - update build deps
    - fix build with gcc 4.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Dec 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.16-0.20081223.1mdv2009.1
+ Revision: 318181
- buildrequires fuse-devel (for bfuse)
- bump to latest cvs, add shiny new bfuse

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Nov 07 2008 Adam Williamson <awilliamson@mandriva.org> 0.15-0.20081106.1mdv2009.1
+ Revision: 300831
- drop compile.patch, as the bogus libtar change it adjusted for is now gone
- rediff casehack.patch
- new snapshot

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.14-1mdv2009.0
+ Revision: 288036
- add casehack.patch: a hack for a case issue between barry and synce
- 0.14 final (just in time for 2009, yay)

* Sat Sep 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.14-0.20080912.1mdv2009.0
+ Revision: 284417
- install ppp scripts to /etc/ppp and modify them appropriately
- drop openssl build dependency (no longer exists)
- clean tabs/spaces in spec
- new snapshot

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.14-0.20080814.2mdv2009.0
+ Revision: 272154
- drop guibuild.patch (the 'bug' it fixed was actually a bad CVS checkout on
  my system)

* Thu Aug 14 2008 Adam Williamson <awilliamson@mandriva.org> 0.14-0.20080814.1mdv2009.0
+ Revision: 272138
- bump version as 0.13 got released while I wasn't looking
- new snapshot 20080814

* Wed Jul 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.13-0.20080722.1mdv2009.0
+ Revision: 241660
- new snapshot 20080722

* Thu Jun 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.13-0.20080626.1mdv2009.0
+ Revision: 229365
- add guibuild.patch to fix build breakage caused by references to non-existent
  files in gui directory's build scripts
- split out barry-ppp package for tethering stuff
- bump to current cvs (supports more devices, and tethering)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.12-1mdv2009.0
+ Revision: 197177
- protect major in file list
- don't package COPYING
- drop X-Mandriva menu category
- drop old icons
- clean spec
- new release 0.12

* Sat Jan 05 2008 Funda Wang <fwang@mandriva.org> 0.11-2mdv2008.1
+ Revision: 145652
- rebuild for opensync 0.2x

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 02 2007 Funda Wang <fwang@mandriva.org> 0.11-1mdv2008.1
+ Revision: 114389
- fix file list
- New version 0.11
- barry does not like opensync 0.3x
- Rebuild against libopensync

* Sun Oct 14 2007 Austin Acton <austin@mandriva.org> 0.9-1mdv2008.1
+ Revision: 98335
- 0.9 final

* Wed Aug 29 2007 Austin Acton <austin@mandriva.org> 0.9-0.20070828.1mdv2008.0
+ Revision: 73280
- bump to cvs

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 04 2007 Austin Acton <austin@mandriva.org> 0.8-1mdv2008.0
+ Revision: 58954
- 0.8 final

* Thu Aug 02 2007 Austin Acton <austin@mandriva.org> 0.8-0.20070731.1mdv2008.0
+ Revision: 57972
- buildrequries libtar
- x86_64 buildrequires tweak
- fix it up
- Import barry

